Subject: Re: That pesky Jupiter Ace *still* won't work...t

From: "Dwight K. Elvey" <[email-masked]>
Date: Tue Jun 3 08:40:17 2003

>From: [email-masked]
---snip---
>
>[2] A useful trick, I don't rememebr where I learnt it, is to pulse the 
>reset line at a few 10's of Hz. Slow enough that the machine does 
>something after each reset, but fast enough that you get repetitive 
>signals to look at on the non-storage 'scope.
>
>[3] A delayed timebase is very useful here....
>
>-tony
>

Hi
 Another useful trick for debugging 8080/Z80 machines
is to float the data bus with some pullup resistors
at the uP. This causes the processor to execute endless
RST7's. This will make it loop through the addresses
so that one can easily check out selects and such with
a scope. I remember from my old days at Intel, I had
an 8080 on a home made socket adapter that I could
do this with. It was always the first thing I grabbed
when I had a new system that wouldn't boot. It had a
switch on it so that I could convert the normal PUSH
of the address to be a read instead of a write. This
allowed me to check data buffers in both directions
as well. It seems like the switch changed the pullups
to pull downs to generate NOP's instead of RST7's but
it has been a long time.
 Just a thought.
Dwight